#
# spec file for package osinfo-db-tools
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           osinfo-db-tools
Version:        1.1.0
Release:        lp150.1.3
Summary:        Tools for managing the osinfo database
License:        GPL-2.0+
Group:          Productivity/Databases/Tools
Url:            https://libosinfo.org/
Source:         https://fedorahosted.org/releases/l/i/libosinfo/%{name}-%{version}.tar.gz
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libosinfo is a project providing information about operating systems,
hypervisors and the (virtual) hardware devices they can support.

This package contains a set of tools to assist administrators and
developers in managing the database.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
%find_lang %{name} %{?no_lang_C}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_bindir}/osinfo-db*
%{_mandir}/man1/osinfo-db*.1%{ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Dec 14 2016 badshah400@gmail.com
- Initial package.
